# Serveur Wazuh All in One et machine wazuh-agent debian 12 

## Présentation

Cette `Vagrantfile` permet d'installer :
  * un serveur Wazuh **wazuh** All-In-One ( indexer + manager + Dashboard) - Ubuntu 24.04
  * un serveur Linux  **wazuh-cli** ( wazuh-agent ) - Debian 12.9

La Vagrantfile utilise les playbooks ansible suivants :
  * **provision/setup-wazuh.yml** qui:
    * coupe le service **unattended-upgrades**
    * recupère le script **wazuh-install.sh** et le lance 
  * **provision/setup-wazuh-cli.yml** qui:
    * installe les dépots pour wazuh
    * installe le paquet **wazuh-agent** en enregistrant la machine **wazuh-cli**
    * relance le service **wazuh-agent**

## Utilisation de la Vagrantfile

L'installation du serveur **wazuh** est assez longue ( ~ 15 minutes ). 
  
````shell
   vagrant up wazuh
   vagrant up wazuhcli
```` 

Le mot de passe du compte **admin** se trouve dans le fichier `wazuh-install-files/wazuh-passwords.txt`, lui-même contenu dans le ficher `wazuh-install-files.tar` à extraire avec la commande :

````shell
   sudo tar xvf wazuh-install-file.tar
```` 
On peut alors se connecter au serveur **wazuh** avec un navigateur : http://adresse
(admin/mdp)

Une fois connecté, on doit autoriser chacun des deux serveurs **kea1** et **kea2** inscrits



